# `$rootScopeProvider` (service in module `ng` )

Improve this doc

## Description

Provider for the $rootScope service.

## Methods

- ### digestTtl(limit)

  Sets the number of digest iteration the scope should attempt to execute before giving up and assuming that the model is unstable.

  The current default is 10 iterations.

  #### Parameters

  - `limit – {number} –`

    The number of digest iterations.